Bug 1479575 - System hangs after login (after fresh install of Fedora 26) [NEEDINFO]
System hangs after login (after fresh install of Fedora 26)
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 16:48 EDT by Arnoud de Geus
Modified: 2018-05-03 03:50 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (arnoud.f.r.de.geus)


Attachments (Terms of Use)
Picture of graphical boot screen (1.11 MB, image/jpeg)
2017-08-10 19:21 EDT, Arnoud de Geus
no flags Details

  None (edit)
Description Arnoud de Geus 2017-08-08 16:48:44 EDT
Description of problem: Login fails, and system hangs indefinitely with grey screen


Version-Release number of selected component (if applicable): Fedora 26


How reproducible: Do a fresh install of Fedora 26 (completely new by first removing any existing partitions of the drives), using the live image created on an USB with Fedora Media Writer for Windows. The install goes OK. The system presents the login screen created for the new user, but after pressing login with correct credentials, the system hangs with a grey screen.


Steps to Reproduce:
1. Either by a new install
2. Or by upgrading Fedora 25 to Fedora 26

Actual results: The system hangs (grey screen) after login


Expected results: To open the standard workspace of Gnome


Additional info: On a relatively old Dell Dimension 9200, 4 GB RAM, 2x 1.8 TB disc (using LVM to create one filesystem), NVIDIA GeForce 7900 GS.
All previous Fedora systems worked fine, including Fedora 25.
Comment 1 Stephen Gallagher 2017-08-08 17:05:17 EDT
Sounds like a nouveau driver bug.
Comment 2 Arnoud de Geus 2017-08-09 18:43:05 EDT
(In reply to Stephen Gallagher from comment #1)
> Sounds like a nouveau driver bug.

So the problem is in the
https://nouveau.freedesktop.org/wiki/
component?
Comment 3 Zbigniew Jędrzejewski-Szmek 2017-08-09 18:45:59 EDT
Try the following: when you are logging in, after selecting your user click the gear icon below the password field and select "Gnome on Xorg". Please report it this changes anything.
Comment 4 Arnoud de Geus 2017-08-10 19:16:32 EDT
If tried the "Gnome on Xorg", but this does not improve anything.
The system also hangs in this instance.
In this instance the mouse pointer is still visible, but due to the system hang not movable.

So no improvements here
Comment 5 Arnoud de Geus 2017-08-10 19:20:23 EDT
Also prior to the login screen, the boot graphical screen looks like the attachement I have included. This graphics boot screen looks differently than on another computer I have Fedora 26 running fine.

Does this help?
Comment 6 Arnoud de Geus 2017-08-10 19:21 EDT
Created attachment 1311912 [details]
Picture of graphical boot screen
Comment 7 Arnoud de Geus 2017-08-11 14:57:31 EDT
Did the following:

After booting into the login screen.
Switched to the text mode using <Crtl><Alt><F2>
Logged in.

Dit a full update using

su -c 'yum update'

reboot

graphical login still fails.
Comment 8 Valery 2017-08-17 16:29:32 EDT
Confirm the bug with a discrete nVidia GTX 760 card only on installed system.
No problem booting and installing F26 from a Live USB drive. 
Also no problem booting and logging in on another computer with an old ATI HD 6440 (integrated).
Comment 9 Pawel 2017-08-28 12:40:01 EDT
Affects also:
VGA compatible controller: NVIDIA Corporation C73 [GeForce 7100 / nForce 630i] (rev a2)
Comment 10 Arnoud de Geus 2017-09-12 18:55:26 EDT
(In reply to Pawel from comment #9)
> Affects also:
> VGA compatible controller: NVIDIA Corporation C73 [GeForce 7100 / nForce
> 630i] (rev a2)

So what's happening?
Comment 11 Arnoud de Geus 2017-09-12 18:56:46 EDT
Can someone increase the priotity?
Comment 12 Michael E Craggs 2017-09-30 12:36:22 EDT
Hi, I encountered the exact same problem. ( Running a GTX 770 )
However after running 'sudo dnf update' in a second tty ( Ctrl + Alt + F2 ) and rebooting it worked.
Give it another try maybe it works for you as well by now. 

jounralctl revealed that it was littered with the following error logs:
Sep 30 16:59:50 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000001

and the eventual: 
Sep 30 16:59:50 localhost.localdomain kernel: ------------[ cut here ]------------
Sep 30 16:59:50 localhost.localdomain kernel: WARNING: CPU: 7 PID: 1828 at drivers/gpu/drm/nouveau/nvkm/subdev/mmu/gf100.c:190 gf100_vm_flush+0x1c1/0x1e0 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel: nouveau 0000:01:00.0: timeout
Sep 30 16:59:50 localhost.localdomain kernel: Modules linked in: nls_utf8 isofs rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilte
Sep 30 16:59:50 localhost.localdomain kernel:  btintel xpad snd_hda_codec ff_memless snd_usbmidi_lib coretemp bluetooth snd_rawmidi snd_hda_core kvm_intel snd_hwdep snd_seq rfkill snd_seq_device kvm snd_pcm shpc
Sep 30 16:59:50 localhost.localdomain kernel: CPU: 7 PID: 1828 Comm: gsd-xsettings Tainted: G        W       4.11.8-300.fc26.x86_64 #1
Sep 30 16:59:50 localhost.localdomain kernel: Hardware name: System manufacturer System Product Name/P8P67 PRO REV 3.1, BIOS 1904 08/15/2011
Sep 30 16:59:50 localhost.localdomain kernel: Call Trace:
Sep 30 16:59:50 localhost.localdomain kernel:  dump_stack+0x63/0x84
Sep 30 16:59:50 localhost.localdomain kernel:  __warn+0xcb/0xf0
Sep 30 16:59:50 localhost.localdomain kernel:  warn_slowpath_fmt+0x5a/0x80
Sep 30 16:59:50 localhost.localdomain kernel:  ? nv04_timer_read+0x48/0x60 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  gf100_vm_flush+0x1c1/0x1e0 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  nvkm_vm_map+0x107/0x390 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  ? nvkm_vm_get+0x1c0/0x240 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  nouveau_bo_vma_add+0x67/0xc0 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  nouveau_gem_object_open+0x143/0x180 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  drm_gem_handle_create_tail+0xcb/0x160 [drm]
Sep 30 16:59:50 localhost.localdomain kernel:  drm_gem_handle_create+0x35/0x40 [drm]
Sep 30 16:59:50 localhost.localdomain kernel:  nouveau_gem_ioctl_new+0xbd/0x130 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  drm_ioctl+0x212/0x4d0 [drm]
Sep 30 16:59:50 localhost.localdomain kernel:  ? nouveau_gem_new+0x130/0x130 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  ? unmap_region+0xf7/0x130
Sep 30 16:59:50 localhost.localdomain kernel:  nouveau_drm_ioctl+0x72/0xc0 [nouveau]
Sep 30 16:59:50 localhost.localdomain kernel:  do_vfs_ioctl+0xa5/0x600
Sep 30 16:59:50 localhost.localdomain kernel:  SyS_ioctl+0x79/0x90
Sep 30 16:59:50 localhost.localdomain kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa9
Sep 30 16:59:50 localhost.localdomain kernel: RIP: 0033:0x7f12fda2e5c7
Sep 30 16:59:50 localhost.localdomain kernel: RSP: 002b:00007ffe967bf7d8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Sep 30 16:59:50 localhost.localdomain kernel: RAX: ffffffffffffffda RBX: 0000000000000002 RCX: 00007f12fda2e5c7
Sep 30 16:59:50 localhost.localdomain kernel: RDX: 00007ffe967bf830 RSI: 00000000c0306480 RDI: 0000000000000006
Sep 30 16:59:50 localhost.localdomain kernel: RBP: 00007ffe967bf600 R08: 0000000000000004 R09: 000056201f3444c0
Sep 30 16:59:50 localhost.localdomain kernel: R10: 0000000000000000 R11: 0000000000000246 R12: 0000000080000001
Sep 30 16:59:50 localhost.localdomain kernel: R13: 00007f12edc00682 R14: 00007f12ed7ef424 R15: 00007f1301298000
Sep 30 16:59:50 localhost.localdomain kernel: ---[ end trace df62e74ff1eae4d9 ]---
Comment 13 Derek Price 2017-11-12 19:30:49 EST
I am experiencing this problem as well. After a little googling I was able to fix it by editing the grub Linux command and adding nouveau.modeset=0 to the command line.
Comment 14 Laura Abbott 2018-02-27 22:38:25 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.
Comment 15 Fedora End Of Life 2018-05-03 03:50:49 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.